Bug 1206889 - [abrt] calibre: QPlatformInputContext::staticMetaObject(): python2.7 killed by SIGSEGV
Summary: [abrt] calibre: QPlatformInputContext::staticMetaObject(): python2.7 killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fcitx
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eb62b0223ead40d5994b35c75ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-29 10:41 UTC by biAji
Modified: 2015-04-02 15:34 UTC (History)
9 users (show)

Fixed In Version: calibre-2.22.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 15:34:48 UTC


Attachments (Terms of Use)
File: backtrace (76.74 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: core_backtrace (9.85 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: dso_list (21.00 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: environ (1.44 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: maps (100.84 KB, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: open_fds (957 bytes, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2015-03-29 10:41 UTC, biAji
no flags Details
File: exploitable (108 bytes, application/octet-stream)
2015-03-29 10:41 UTC, biAji
no flags Details

Description biAji 2015-03-29 10:41:25 UTC
Description of problem:
Just start the application , then .....boom

Version-Release number of selected component:
calibre-2.15.0-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre-debug -c 'from calibre.gui2.splash import main; main()'
crash_function: QPlatformInputContext::staticMetaObject
executable:     /usr/bin/python2.7
kernel:         3.19.2-201.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at 日 2015-02-08 17:21:08 CST, end at 日 2015-03-29 18:29:53 CST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QPlatformInputContext::staticMetaObject at /lib64/libQt5Gui.so.5
 #1 QGuiApplicationPrivate::_q_updateFocusObject at kernel/qguiapplication.cpp:3422
 #2 QGuiApplicationPrivate::processActivatedEvent at kernel/qguiapplication.cpp:1978
 #3 QGuiApplicationPrivate::processWindowSystemEvent at kernel/qguiapplication.cpp:1594
 #4 QWindowSystemInterface::sendWindowSystemEvents at kernel/qwindowsysteminterface.cpp:572
 #5 userEventSourceDispatch at eventdispatchers/qeventdispatcher_glib.cpp:70
 #9 g_main_context_iteration at gmain.c:3842
 #10 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:418
 #11 QEventLoop::exec at kernel/qeventloop.cpp:204
 #12 QCoreApplication::exec at kernel/qcoreapplication.cpp:1188

Comment 1 biAji 2015-03-29 10:41:30 UTC
Created attachment 1007967 [details]
File: backtrace

Comment 2 biAji 2015-03-29 10:41:31 UTC
Created attachment 1007968 [details]
File: cgroup

Comment 3 biAji 2015-03-29 10:41:33 UTC
Created attachment 1007969 [details]
File: core_backtrace

Comment 4 biAji 2015-03-29 10:41:35 UTC
Created attachment 1007970 [details]
File: dso_list

Comment 5 biAji 2015-03-29 10:41:36 UTC
Created attachment 1007971 [details]
File: environ

Comment 6 biAji 2015-03-29 10:41:38 UTC
Created attachment 1007972 [details]
File: limits

Comment 7 biAji 2015-03-29 10:41:41 UTC
Created attachment 1007973 [details]
File: maps

Comment 8 biAji 2015-03-29 10:41:42 UTC
Created attachment 1007974 [details]
File: open_fds

Comment 9 biAji 2015-03-29 10:41:43 UTC
Created attachment 1007975 [details]
File: proc_pid_status

Comment 10 biAji 2015-03-29 10:41:44 UTC
Created attachment 1007976 [details]
File: exploitable

Comment 11 biAji 2015-03-30 05:01:38 UTC
it seemed related to recent update for qt5:

grep qt5 /var/log/yum.log
Mar 29 15:33:53 Updated: qt5-qtbase-5.4.1-3.fc21.x86_64
Mar 29 15:33:55 Updated: qt5-qtbase-gui-5.4.1-3.fc21.x86_64
Mar 29 15:34:03 Updated: qt5-qttools-common-5.4.1-1.fc21.noarch
Mar 29 15:34:29 Updated: qt5-qttools-libs-clucene-5.4.1-1.fc21.x86_64
Mar 29 15:34:30 Updated: qt5-qtxmlpatterns-5.4.1-1.fc21.x86_64
Mar 29 15:34:33 Updated: qt5-qtdeclarative-5.4.1-1.fc21.x86_64
Mar 29 15:34:34 Updated: qt5-qtlocation-5.4.1-1.fc21.x86_64
Mar 29 15:34:35 Updated: qt5-qtsensors-5.4.1-1.fc21.x86_64
Mar 29 15:34:47 Updated: qt5-qtwebkit-5.4.1-1.fc21.x86_64
Mar 29 15:34:48 Updated: qt5-qtconnectivity-5.4.1-1.fc21.x86_64
Mar 29 15:34:49 Updated: qt5-qtmultimedia-5.4.1-1.fc21.x86_64
Mar 29 15:34:52 Updated: qt5-qttools-libs-help-5.4.1-1.fc21.x86_64
Mar 29 15:35:27 Updated: qt5-qttools-libs-designer-5.4.1-1.fc21.x86_64
Mar 29 15:35:28 Updated: qt5-qtx11extras-5.4.1-1.fc21.x86_64
Mar 29 15:35:29 Updated: qt5-qtsvg-5.4.1-1.fc21.x86_64
Mar 29 15:35:29 Updated: qt5-qtserialport-5.4.1-1.fc21.x86_64


but I don't know how to revert these update.

Comment 12 biAji 2015-03-30 13:46:09 UTC
I rebuit calibre as described in https://bugzilla.redhat.com/show_bug.cgi?id=1197503

this bug is still there.

Comment 13 Fedora Update System 2015-03-30 14:09:14 UTC
calibre-2.22.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/calibre-2.22.0-1.fc21

Comment 14 biAji 2015-03-31 01:21:16 UTC
update to 2.22.0-1 the bug still there.

maybe it not related to qt?

Comment 15 biAji 2015-03-31 01:49:54 UTC
I remove fcitx-qt5 package and this bug gone.

So, It's fcitx-qt5's fault.

Comment 16 Fedora Update System 2015-03-31 21:49:07 UTC
Package calibre-2.22.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calibre-2.22.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5132/calibre-2.22.0-1.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-04-02 15:34:48 UTC
calibre-2.22.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.